package inn.ocsf.bee.freigeld.core.repo;

import inn.ocsf.bee.freigeld.core.model.PersonMemberPosition;
import inn.ocsf.bee.freigeld.core.model.data.PersonDataPrj0p;
import org.jetbrains.annotations.NotNull;
import scala.Tuple2;

import java.util.Collection;
import java.util.UUID;

public interface PersonRepositoryCustom {

    @NotNull
    Collection<PersonDataPrj0p> findAllByOwnerId(@NotNull UUID ownerId);

    @NotNull
    Collection<Tuple2<UUID, PersonMemberPosition>> findAllByMemberId(@NotNull UUID memberId);
}
